---
title: HTMLOrForeignElement
slug: Web/API/HTMLOrForeignElement
tags:
  - API
  - HTML
  - HTMLElement
  - HTMLOrForeignElement
  - Interface
  - MathML
  - MathMLElement
  - Mixin
  - Reference
  - SVG
  - SVGElement
---
<p>{{APIRef("HTML DOM")}}{{Draft}}</p>

<p><span class="seoSummary">The <strong><code>HTMLOrForeignElement</code></strong> mixin describes several features common to the {{DOMxRef("HTMLElement")}}, {{DOMxRef("SVGElement")}} and {{DOMxRef("MathMLElement")}} interfaces.</span> Each of these interfaces can, of course, add more features in addition to the ones listed below.</p>

<div class="notecard note">
<p><strong>Note</strong>: <code>HTMLOrForeignElement</code> is a mixin and not an interface; you can't actually create an object of type <code>HTMLOrForeignElement</code>.</p>
</div>

<div>{{InterfaceOverview("HTML DOM")}}</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "dom.html#htmlorsvgelement", '<code>HTMLOrForeignElement</code>')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLOrForeignElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("HTMLElement")}}</li>
 <li>{{DOMxRef("SVGElement")}}</li>
 <li>{{DOMxRef("MathMLElement")}}</li>
</ul>
